      SUBROUTINE LFIOMF ( KREP, KNUMER, KNIMES )
#include "lficomt.h"
C****
C        Ce sous-programme permet d'obtenir la valeur courante du niveau
C     de messagerie propre aux actions faites via le logiciel LFI,
C     sur un fichier particulier ouvert pour ce logiciel.
C
C        Noter que si le niveau global de messagerie *NIMESG*
C     vaut 0 ou 2, le niveau propre au fichier est inoperant.
C     *NIMESG* vaut par defaut 1, est reglable via le s/p "LFINMG",
C     et sa valeur courante peut etre obtenue par le s/p "LFIOMG".
C**
C     ARGUMENTS : KREP   (Sortie) ==> Code-REPonse du sous-programme;
C                 KNUMER (Entree) ==> NUMERo d'unite logique concernee;
C                 KNIMES (Sortie) ==> NIveau courant de MESsagerie.
C
#include "lficom0.h"
#ifndef f77
#include "precision.h"
#endif
#include "lficom1.h"
C
      INTEGER KREP, KNUMER, KNIMES, IRANG, IREP, INIMES
C
#include "lficom2.h"
C
      CALL LFINUM (KNUMER,IRANG)
C
      IF (IRANG.EQ.0) THEN
        IREP=-1
      ELSE
        KNIMES=NIVMES(IRANG)
        NDEROP(IRANG)=21
        IREP=0
      ENDIF
C
      LLFATA=LLMOER (IREP,IRANG)
      KREP=IREP
C
      IF (LLFATA.OR.IXNIMS (IRANG).EQ.2) THEN
        INIMES=2
      ELSE
        RETURN
      ENDIF
C
      CLNSPR='LFIOMF'
      WRITE (UNIT=CLMESS,FMT='(''KREP='',I4,'', KNUMER='',I3,
     S       '', KNIMES='',I3)') KREP,KNUMER,KNIMES
      CALL LFIEMS (KNUMER,INIMES,IREP,LLFATA,CLMESS,CLNSPR,CLACTI)
C
      RETURN
      END
